# Class PokemonHpRestoreModifierType

#### Hierarchy (view full)

- PokemonModifierType
  - PokemonHpRestoreModifierType
    - PokemonReviveModifierType

- Defined in src/modifier/modifier-type.ts:230

#####
Index

### Constructors

constructor

### Properties

generatorId
group
healStatus
iconImage
id
localeKey
newModifierFunc
restorePercent
restorePoints
selectFilter
soundName
tier

### Accessors

name

### Methods

getDescription
getOrInferTier
newModifier
setTier
withIdFromFunc

## Constructors

### constructor

- new PokemonHpRestoreModifierType(localeKey, iconImage, restorePoints, restorePercent, healStatus?, newModifierFunc?, selectFilter?, group?): PokemonHpRestoreModifierType

- #### Parameters

  - localeKey: string
  - iconImage: string
  - restorePoints: number
  - restorePercent: number
  - healStatus: boolean = false
  - `Optional` newModifierFunc: NewModifierFunc
  - `Optional` selectFilter: PokemonSelectFilter
  - `Optional` group: string

  #### Returns PokemonHpRestoreModifierType

  Overrides PokemonModifierType.constructor

  - Defined in src/modifier/modifier-type.ts:235

## Properties

### generatorId

generatorId: string

Inherited from PokemonModifierType.generatorId

- Defined in src/modifier/modifier-type.ts:47

### group

group: string

Inherited from PokemonModifierType.group

- Defined in src/modifier/modifier-type.ts:50

### `Protected` healStatus

healStatus: boolean

- Defined in src/modifier/modifier-type.ts:233

### iconImage

iconImage: string

Inherited from PokemonModifierType.iconImage

- Defined in src/modifier/modifier-type.ts:49

### id

id: string

Inherited from PokemonModifierType.id

- Defined in src/modifier/modifier-type.ts:46

### localeKey

localeKey: string

Inherited from PokemonModifierType.localeKey

- Defined in src/modifier/modifier-type.ts:48

### `Protected` newModifierFunc

newModifierFunc: NewModifierFunc

Inherited from PokemonModifierType.newModifierFunc

- Defined in src/modifier/modifier-type.ts:53

### `Protected` restorePercent

restorePercent: number

- Defined in src/modifier/modifier-type.ts:232

### `Protected` restorePoints

restorePoints: number

- Defined in src/modifier/modifier-type.ts:231

### selectFilter

selectFilter: PokemonSelectFilter

Inherited from PokemonModifierType.selectFilter

- Defined in src/modifier/modifier-type.ts:200

### soundName

soundName: string

Inherited from PokemonModifierType.soundName

- Defined in src/modifier/modifier-type.ts:51

### tier

tier: ModifierTier

Inherited from PokemonModifierType.tier

- Defined in src/modifier/modifier-type.ts:52

## Accessors

### name

- get name(): string

- #### Returns string

  Inherited from PokemonModifierType.name

  - Defined in src/modifier/modifier-type.ts:63

## Methods

### getDescription

- getDescription(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  Overrides PokemonModifierType.getDescription

  - Defined in src/modifier/modifier-type.ts:249

### getOrInferTier

- getOrInferTier(poolType?): ModifierTier

- #### Parameters

  - poolType: ModifierPoolType = ModifierPoolType.PLAYER

  #### Returns ModifierTier

  Inherited from PokemonModifierType.getOrInferTier

  - Defined in src/modifier/modifier-type.ts:75

### newModifier

- newModifier(...args): Modifier

- #### Parameters

  - `Rest` ...args: any[]

  #### Returns Modifier

  Inherited from PokemonModifierType.newModifier

  - Defined in src/modifier/modifier-type.ts:117

### setTier

- setTier(tier): void

- #### Parameters

  - tier: ModifierTier

  #### Returns void

  Inherited from PokemonModifierType.setTier

  - Defined in src/modifier/modifier-type.ts:71

### withIdFromFunc

- withIdFromFunc(func): ModifierType

- #### Parameters

  - func: ModifierTypeFunc

  #### Returns ModifierType

  Inherited from PokemonModifierType.withIdFromFunc

  - Defined in src/modifier/modifier-type.ts:112